/*
 * File:  ntag.h
 * Use:   header for ntag driver routines
 * Autjor:  Jeff Seaman
 * Project: ntage & ble demo
 * Processor: nRF52840
 * SDK:       nRF5_SDK_16.0.0
 */
#ifndef _NTAG_H
#define _NTAG_H

void read_ntag(int block,uint8_t *buffer);
void write_ntag(uint8_t block,uint8_t *buffer);
void twi_init (void);
uint8_t l_ntag(void);
void delay_20ms(void);


/***************************************************************
 * SET UP THE DEFINITIONS FOR THE CONVIENECE METHODS THE WRITE THE STATUS REGISTERS
 ****************************************************************/








	//
	// SESSION REGISTER NC_REG
	//
#define		SESSION_NC_REG 				0		// REGA value for the NC_REG
#define		SESSION_I2C_RST_ON_OFF		0,7		// session register NC_REG bit 7
#define		SESSION_PTHRU_ON_OFF		0,6		// session register NC_REG bit 6
#define		SESSION_FD_OFF				0,4		// session register NC_REG bits 5/4
#define		SESSION_FD_ON				0,2		// session register NC_REG bits 3/2
#define		SESSION_SRAM_MIRROR_ON_OFF	0,1	// session register NC_REG bit 1
#define		SESSION_PTHRU_DIR			0,0		// session register NC_REG bit 0

	//
	// SESSION REGIASTER NDEF_BLOCK
	//
#define		SESSION_LAST_NDEF_BLOCK_REG		1		// REGA value for the NDEF_BLOCK
	//
	// SESSION REGISTER SRAM_MIRROR_BLOCK
	//
#define		SESSION_SRAM_MIRROR_BLOCK_REG	2		// REGA value for the SRAM_MIRROR_BLOCK
	//
	// SESSION REGISTER WDT_LS
	//
#define		SESSION_WDT_LS				3
	//
	// SESSION REGISTER WDT_MS
#define		SESSION_WDT_MS				4
	//
	// session register I2C_CLOCK_STR
	//
#define		SESSION_I2C_CLOCK_STR_REG		5	// REGA value for the I2C_CLOCK_STR
#define		SESSION_I2C_CLOCK_STR		5,0		// session register I2C_CLOCK_STR bit 0
	//
	// session register NS_REG
	//
#define		SESSION_NS_REG				6
#define		SESSION_NDEF_DATA_READ		6,7		// session register NS_REG bit 7
#define		SESSION_I2C_LOCKED			6,6		// session register NS_REG bit 6
#define		SESSION_RF_LOCKED			6,5		// session register NS_REG bit 5
#define		SESSION_SRAM_I2C_READY		6,4		// session register NS_REG bit 4
#define		SESSION_SRAM_RF_READY		6,3		// session register NS_REG bit 3
#define		SESSION_EEPROM_WR_ERR		6,2		// session register NS_REG bit 2
#define		SESSION_EEPROM_WR_BUSY		6,1		// session register NS_REG bit 1
#define		SESSION_RF_FIELD_PRESENT	6,0		// session register NS_REG bit 0


/***************************************************************
 * SET UP THE DEFINITIONS FOR THE CONVIENECE METHODS THE WRITE THE CONFIGURATION REGISTERS
 ****************************************************************/
		//
		// CONFIGURATION NC_REG
		//
#define		CONFIG_NC_REG					0	// REGA value for NC_REG
#define		CONFIGURATION_I2C_RTS_ON_OFF	0,7	// configuration register NC_REG bit 7												// configuration register NC_REG bit 6
#define		CONFIGURATION_FD_OFF			0,4	// configuration register NC_REG bits 5/4
#define		CONFIGURATION_FD_ON				0,2	// configuration register NC_REG bits 3/2
												// configuration register NC_REG bit 1
#define		CONFIGURATION_TRANSFER_DIR		0,0	// configuration register NC_REG bit 0
		//
		//	CONFIGURATION LAST_DEFN_BLOCK
		//
#define		CONFIGURATION_LAST_DEFN_BLOCK_REG	1		// REGA value for SRAM_MIRROR_BLOCK
		//
		//	CONFIGURATION SRAM_MIRROR_BLOCK
		//
#define		CONFIGURATION_SRAM_MIRROR_BLOCK_REG	 2		// REGA value for SRAM_MIRROR_BLOCK
		//
		//	CONFIGURATION WDT_LS
		//
#define		CONFIGURATION_WDT_LS_REG		3	// REGA value for the WDT_LS
		//
		//	CONFIGURATION WDT_MS
		//
#define		CONFIGURATION_WDT_MS_REG		4	// REGA value for the WDT_MS
		//
		// CONFIGURTATION I2C_CLOCK_STR
		//
#define		CONFIGURATION_I2C_CLOCK_STR_REG	5	// REGA value for the
#define		CONFIGURATION_I2C_CLOCK_STR		5,0	// configuration register I2C_CLOCK_STR bit 0
		//
		//  CONFIGURATION REC_LOC
		//
#define		configuration_REG_LOCK_REG		6	// REGA value for REG_LOCK
#define		CONFIGURATION_REG_LOC_I2C		6,1	// configuration register REG_LOCK bit 1
#define		CONFIGURATION_REG_LOC_RF		6,0	// configuration register REG_LOCK bit 0









#endif